Nanoprogrammed Penultimate Musicianship

    eslint-plugin-nebulas

    0.0.7 • Public • Published

    eslint-plugin-nebulas

    smart contract lint rules

    Installation

    You'll first need to install ESLint:

    $ yarn add -D eslint
    

    Next, install eslint-plugin-nebulas:

    $ yarn add -D eslint-plugin-nebulas
    

    Note: If you installed ESLint globally (using the -g flag) then you must also install eslint-plugin-nebulas globally.

    Usage

    Add nebulas to the plugins section of your .eslintrc configuration file. You can omit the eslint-plugin- prefix:

    {
      "plugins": ["nebulas"]
    }

    Then configure the rules you want to use under the rules section.

    {
      "rules": {
        "nebulas/rule-name": 2
      }
    }

    Supported Rules

    • Ensure an export is a smart contract object (export-contract)
    • Ensure an export is present (export)
    • Report unsupported third-party library (limited-libs)
    • Report ESM import calls and export (no-esm)

    Install

    npm i eslint-plugin-nebulas

    DownloadsWeekly Downloads

    0

    Version

    0.0.7

    License

    ISC

    Unpacked Size

    56.8 kB

    Total Files

    17

    Last publish

    Collaborators

    • newraina